Subject: Re: bug#62892: proposal to extend mark-sexp to go forward and backward on command

From: Eshel Yaron <[email-masked]>
Date: Fri, 21 Apr 2023 10:24:16 +0300

Eli Zaretskii <[email-masked]> writes:

>> From: Zachary Kanfer <[email-masked]>
>> Date: Fri, 21 Apr 2023 01:04:30 -0400
>> Cc: [email-masked], [email-masked], Juri Linkov <[email-masked]>
>> 
>> It's able to be worked around, yes -- but I think it's easier to have separate methods for forward and
>> backward, the way we do for so many other commands. For one, having separate functions makes it
>> easier to start moving backward, (rather than giving a -1 prefix argument.
>
> Adding functions and commands is not free, it does come with a price:
> they need to be documented in our two manuals (something your patch
> neglected to do, btw), users need to learn them, etc.
>
> So I wonder whether on balance it is justified to add this.  Lars,
> Stefan: any comments or opinions?
>
> Does anyone else have an opinion?

Not really a strong opinion, but just a couple of thoughts:

- The ability to extend the selection forward and backward is a nice and
desirable feature.

- C-x C-x is a general mechanism that's useful in many situations and
users are hopefully already familiar with it (although not necessarily
aware of this specific use case, I wasn't!), so if it fits the bill it
makes sense to reuse it rather than introducing new specialized commands.

- Whatever decision is made with regards to mark-sexp, I think it should
be consistent with similar marking commands.  Notably, mark-word
currently behaves like mark-sexp, and I think that adding e.g.
mark-sexp-backward without also adding mark-word-backward would somewhat
hinder consistency.

Regards,
Eshel